/*
 *   Copyright 2008 Jaroslav Reznik <rezzabuh@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License as
 *   published by the Free Software Foundation; either version 2 or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef atipsengine_HEADER
#define atipsengine_HEADER

#include <QTimer>

#include <Plasma/DataEngine>

class QTimer;
class KProcess;

class AtiPSEngine : public Plasma::DataEngine
{
Q_OBJECT

private:
	QStringList m_sources;
	QStringList m_powerstates;
	int m_currentstate;
	bool listPowerStates();

public:
	AtiPSEngine(QObject* parent, const QVariantList& args);
	~AtiPSEngine();

protected:
	bool sourceRequested(const QString &name);
	bool updateSource(const QString& source);
	QStringList sources() const; 
};

K_EXPORT_PLASMA_DATAENGINE(atips, AtiPSEngine)

#endif
